<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:d28700d7-c6cd-4c0e-8e38-ca72bb439d45,g:78802d73-c865-4d76-8ac0-fddba2d79209-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:adsk="http://www.usa.autodesk.com/20240426" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.usa.autodesk.com/20240426">
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei-sub/2024" schemaLocation="https://xbrl.sec.gov/dei/2024/dei-sub-2024.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd-sub/2024" schemaLocation="https://xbrl.sec.gov/ecd/2024/ecd-sub-2024.xsd"/>
  <xs:annotation>
    <xs:appinfo/>
  </xs:annotation>
</xs:schema>
